Bug 200115 - Unresolved ids on ternary operator
Unresolved ids on ternary operator
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.0
PC Linux
: P3 (vote)
: 7.0.1
Assigned To: nnnnnk
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-13 15:57 UTC by nnnnnk
Modified: 2011-08-29 10:28 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nnnnnk 2011-07-13 15:57:31 UTC
Sample:
typedef struct a {
	struct c *i, *j;
} aa;
typedef struct b {
	union d *k,*l;
} bb;
int main(int argc, char** argv) {   
    long long z;
    aa *x;
    bb *y;
    &((z + 1) & z ? x : (aa *)y->k)->i;
    return 0;
}
Comment 2 dnikitin 2011-08-10 12:04:27 UTC
verified in NetBeans IDE Dev (Build cnd-build-trunk-279-on-20110810)
Comment 3 Alexander Simon 2011-08-15 10:09:16 UTC
fix transplanted on release701_fixes on elif
dca369462484 transplanted to 5017db42458f
Comment 4 dnikitin 2011-08-18 12:33:37 UTC
Verified in NetBeans IDE 7.0.1 (Build oss-platform-build-22-on-20110818)
Comment 5 Alexander Simon 2011-08-24 11:34:24 UTC
integrated in release701_fixes:
5017db42458f transplanted to 73b48d59c66e
Comment 6 soldatov 2011-08-29 10:28:38 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo